PUT/demandshop

Update Demand Shop

Update demand shop

Implementation Notes

This API call allows the user to modify the details of an existing Demand Shop linked to a demandShopId.

PUT/demandshop

Parameter Details

NameInTypeRequiredDescription
demandShopIdqueryintegerRequiredUnique identifier for the Hotel Demand Shop.
bodybodyobjectRequirednone
» shopNamebodystringOptionalnone
» hotelCodebodyintegerOptionalnone
» citybodystringOptionalnone
» countrybodystringOptionalnone
» startDatebodystring(date)Optionalnone
» horizonbodyintegerOptionalnone
» estimatedAttendeebodystringOptionalnone
» categorybodystringOptionalnone
» subCategorybodystringOptionalnone

Responses

StatusMeaningDescriptionSchema
200OKOK
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
403ForbiddenForbiddenNone
404Not FoundNot FoundNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server Error.None

Example Request

# You can also use wget
curl -X PUT https://api.events.example.com/api/v1/demandshop?demandShopId=1 \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "shopName": "",
  "hotelCode": 0,
  "city": "",
  "country": "",
  "startDate": "2019-08-24",
  "horizon": 0,
  "estimatedAttendee": "",
  "category": "0",
  "subCategory": "0"
}

Example responses

200 Response
{
  "message": "Shop details updated successfully",
  "shopId": 36418
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.